Bug 189006 - Intel ICH Soundcard Not Activated After Suspend/Resume
Intel ICH Soundcard Not Activated After Suspend/Resume
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Cunningham
Brian Brock
https://bugtrack.alsa-project.org/als...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 12:45 EDT by Daniel Qarras
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 10:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output before suspending the laptop (19.20 KB, text/plain)
2006-04-14 12:46 EDT, Daniel Qarras
no flags Details
dmesg after resuming from suspend, soundcard not working (29.15 KB, text/plain)
2006-04-14 12:47 EDT, Daniel Qarras
no flags Details
dmesg after resuming from suspend and running Soundcard Detection, sound working again (29.15 KB, text/plain)
2006-04-14 12:48 EDT, Daniel Qarras
no flags Details
lspci -v output (8.09 KB, text/plain)
2007-06-19 09:57 EDT, Daniel Qarras
no flags Details
lspci -n output (690 bytes, text/plain)
2007-06-19 09:58 EDT, Daniel Qarras
no flags Details

  None (edit)
Description Daniel Qarras 2006-04-14 12:45:15 EDT
Description of problem:
When suspending and resuming with Acer Aspire 1692WLMi laptop with an Intel ICH
soundcard, sound works all ok before suspend but when suspending and then
resuming, soundcard is not working anymore. If I run Soundcard Detection then
the card is activated again.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2080_FC5

How reproducible:
Always.

Steps to Reproduce:
1. Boot, start GNOME, test audio playback
2. Suspend, then resume
3. Try audio again
  
Actual results:
No sound after suspend/resume.

Expected results:
Sound normal.

Additional info:
I'll attach my dmesg before and after suspend/resume. I'll provide any
additional info if needed. Thanks.
Comment 1 Daniel Qarras 2006-04-14 12:46:41 EDT
Created attachment 127754 [details]
dmesg output before suspending the laptop
Comment 2 Daniel Qarras 2006-04-14 12:47:44 EDT
Created attachment 127755 [details]
dmesg after resuming from suspend, soundcard not working
Comment 3 Daniel Qarras 2006-04-14 12:48:48 EDT
Created attachment 127756 [details]
dmesg after resuming from suspend and running Soundcard Detection, sound working again
Comment 4 Daniel Qarras 2006-05-29 05:01:53 EDT
So what's the status with this? Do you need more information? Thanks.
Comment 5 Daniel Qarras 2006-09-20 16:22:51 EDT
Any news about this? Do you need more information or should I wait for FC6?
Please advice.
Comment 6 Dave Jones 2006-10-16 15:41:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Daniel Qarras 2006-10-17 10:58:22 EDT
This problem still exists with kernel-2.6.18-1.2200.fc5. If you need more info
just let me know.

I plan to update to FC6 as soon as it is available and will report here status
with it, too.

Thanks.
Comment 8 Dave Jones 2006-10-19 14:50:52 EDT
ALSA bugs usually get fixed quicker by reporting them upstream to their
bugtracker at https://bugtrack.alsa-project.org/alsa-bug/
Comment 9 Daniel Qarras 2006-10-21 09:53:40 EDT
Opened an ALSA report at
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2553.
Comment 10 Daniel Qarras 2006-10-26 15:05:44 EDT
I installed FC6 from scratch to my laptop but the problem still exists.
Comment 11 Daniel Qarras 2007-06-01 12:28:56 EDT
I did default Fedora 7 installation from scratch, then tried to hibernate the
machine, and this problem still exists.

Suspend doesn't resume at all so I can't verify that one but I guess if this is
not working with hibernate then also resume from suspend is not working.

Thanks.
Comment 12 Daniel Qarras 2007-06-01 14:28:07 EDT
I got suspend now working by patching hal-info and I can confirm that this sound
card activation problem still exists also with suspend.
Comment 13 Nigel Cunningham 2007-06-18 21:20:36 EDT
Is it just a case of the card being muted, or do you need to remove and 
reinsert the modules to get sound?

Could I also get you to attach the output of lspci -v and lspci -n?
Comment 14 Daniel Qarras 2007-06-19 09:56:49 EDT
Card is not just muted, setting volume up and down or mute on/off does not help
at all.

This restored all sounds:

rmmod snd_intel8x0
modprobe snd_intel8x0

I'll attach also lspci output.
Comment 15 Daniel Qarras 2007-06-19 09:57:55 EDT
Created attachment 157368 [details]
lspci -v output
Comment 16 Daniel Qarras 2007-06-19 09:58:26 EDT
Created attachment 157369 [details]
lspci -n output
Comment 17 Nigel Cunningham 2007-07-02 21:23:38 EDT
Thanks. Since an rmmod/insmod is required, it's definitely a bug in the alsa
driver and the alsa people are the ones to poke. I'm sorry, but about all I can
do is make an account on their bugzilla and join you in poking them.
Comment 18 Daniel Qarras 2007-07-03 15:48:35 EDT
Feel free to join the party, I just added this information to ALSA bug tracker at:

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2553

Thanks.
Comment 19 Daniel Qarras 2007-07-03 16:02:27 EDT
Sorry for the noise but I found a related bug report with a lot of activity:

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=917

But no clear cure there either.
Comment 20 Daniel Qarras 2007-08-29 13:04:44 EDT
Great news! The problem was identified (both snd_intel8x0 and snd_intel8x0m were
resetting same registers) and the fix is available at the URL below. It will
eventually hit Linus' tree so I think it's safe to close this bug.

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3333
Comment 21 Daniel Qarras 2007-08-31 10:56:54 EDT
Actually it might be worth including the patch in the next Fedora kernel RPMs so
that suspend would work even before 2.6.24.

The patch is at:
https://bugtrack.alsa-project.org/alsa-bug/file_download.php?file_id=2184&type=bug
Comment 22 Christopher Brown 2007-09-13 10:03:20 EDT
(In reply to comment #20)
> Great news! The problem was identified (both snd_intel8x0 and snd_intel8x0m were
> resetting same registers) and the fix is available at the URL below. It will
> eventually hit Linus' tree so I think it's safe to close this bug.
> 
> https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3333

Hello,

I'm reviewing this as part of the kernel bug triage project:

http://fedoraproject.org/wiki/KernelBugTriage

This is marked as resolved upstream so it should be closed as requested. Please
re-open if you still have problems against 2.6.23 kernels as these should carry
the patch.

Regards
Chris


Note You need to log in before you can comment on or make changes to this bug.